Interface TermsAndConditions

All Known Implementing Classes:
TermsAndConditionsJson

public interface TermsAndConditions
A set of Equinix Internet Access (EIA) terms and conditions, as returned by the v1 terms lookup (GET /internetAccess/v1/terms).

This is a read-only response view.

  • Method Details

    • getText

      String getText()
      Returns:
      the body text of the terms and conditions
    • getVersion

      String getVersion()
      Returns:
      the version of the terms and conditions
    • getLocation

      IbxLocation getLocation()
      Returns:
      the location the terms and conditions apply to
    • getAccount

      TermsAccount getAccount()
      Returns:
      the account the terms and conditions apply to
    • getConnectivitySource

      TermsConnectivitySource getConnectivitySource()
      Returns:
      the connectivity source the terms and conditions apply to
    • getType

      TermsType getType()
      Returns:
      the category of the terms and conditions
    • getProduct

      TermsProduct getProduct()
      Returns:
      the Equinix product the terms and conditions apply to
    • getLanguage

      String getLanguage()
      Returns:
      the language of the terms and conditions